// import realFS from 'fs';
import path from 'path';
import MemFS from 'memory-fs';
let fs = new MemFS();

// create the jest directory
let jestDirectory = path.resolve(process.cwd(), 'lib/statics/jest');
fs.mkdirpSync(jestDirectory);
fs.writeFileSync(`${jestDirectory}/jestConfig.json`, JSON.stringify({foo : 'bar'}));

// make the temporary directory
fs.mkdirpSync(path.resolve(process.cwd(), 'tmp'));

module.exports = fs;