let {breakOnError, execWrap, log, fs, path} = require('./shared/bootstrap');

/**
 * ensures src directory created successfuly
 */
function ensureSrcExists() {
  if (!fs.existsSync(path.resolve('src'))) {
    log('Error - src directory not created!');
    breakOnError();
  }
}


module.exports = {
  ensureSrcExists
};