### TODO
[ ] Release a version before moving on!
[ ] Change release it scripts to run with node
[ ] Change bin/analyze to run with node instead of exec
[ ] Change all lint commands to run from node
[ ] Change all Jest commands to run from node
[ ] Reorganize statics into a single directory we can copy... (or copy from)
[ ] Add a default test file to __tests__
[ ] Modify the npm install script cleanly install all the dependencies (like create-react-app does)
[ ] Update ESLint to 5
[ ] Update Webpack to 4
[ ] Update Babel to 7 (Extremely complex)
[ ] Add support to Node 10
[ ] Update release-it
[ ] Enable linting on all project
[ ] Embed "tap" as a test utility instead of the hand-made tests
[ ] Support multiple entryPoints in webpack
[ ] Extend docs to explain multiple entryPoints
[ ] Add tests for entryPoints
[ ] Remove all TODOs
[ ] Add tests for onBuildComplete and onBuildStart
[ ] Support dynamic port on npm start, right now an unexplained error is returned if the port is in use.
[ ] Document the "dynamic env variables" that were added
[ ] Add a post script for npm install to perform the init
[ ] Move asssetsPath into envVariable, and stop using projectConfig directly for it
[ ] Remove all process.env usage

### DONE/PENDING

###Change log

## 2.0.0
[V] added report.html and stats.json to default .gitignore
[V] Add environment specific variables to be passed to Webpack
(allow doing "npm run build --myEnv" with my own custom configuration)
[VT] Fix assets path for "applications"
[VT] Remove /mocks
[VT] Remove develop.js boilerplate
[VT] Change eslint to .eslintrc
[VT] Move devtool config to baseWebpackConfig
[VT] Remove .raw.js
[V] Move build:dll into the js script for npm start (no need to expose it)
[V] Remove build:dist:raw
[V] Remove live example
[V] Move all code into lib/
[V] Create bins for all commands done through jarb
[V] Remove all "NODE_ENV" from various scripts and files
[V] Node ENV should be configured based on the action you want to take and the env you choose
[V] Move src/.dll somewhere else, preferably in MOCKS
[V] Remove scripts/build.js, setup, devServer
[V] Ensure all tests are working
[V] use JARB bin for npm scripts instead of regular scripts
[V] npm run test should automatically extend jestConfig
[V] Allow projectConfig, per env, to control minification (envVariables.isMinified was added, RAW_FILE support removed)
[V] Add the ability to easily add more build environments
- Done through projectConfig.env['staging'] = {}, any item here, if ran through npm run build -- env=staging will use these configurations
[V] Allow assetsPath to be taken from projectConfig.env instead of projectConfig directly
[V] index.html is always created
[V] Remove projectType from projectConfig
[V] Added stdio to all execSync

## 1.1.0
[V] Add onBuildComplete and onBuildStart (tools/buildHooks.js can export an object with these keys as functions)

## 1.0.9
[V] Added support for entryPoints

## 1.0.8
[V] Update Jest to 23.6.0
[V] Removed default build test, instead we're now building directly on example src
[V] Remove karma, Mocha, Chai, isparta, jQuery, classnames, react-hot-reload
[V] Add "webpack-bundle-analzyer" to Jarb

## 1.0.7
- Fixed a bug that caused the readme.md to constantly be re-written
## 1.0.6
- Added support for a custom html file (For application type projects, file to be used is src/dist.html)
## 1.0.5
- Added support for custom html in the body tag for Applications
- Removed index.raw.js support
## 1.0.4
- Fixed a bug regarding using 'time' as a command when it's not supported
## 1.0.3
- Moved jest back to 20.0.1
- Fixed Pathing for app_index.html to include ./ instead of .
## 1.0.2
- Updated Jest to 22.4.2
- Updated release-it to 7.4.1